##
##  md2man.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_base  2.0.6
%define       V_snap  20241216

#   package information
Name:         md2man
Summary:      Markdown to Unix Manpage Converter
URL:          https://github.com/cpuguy83/go-md2man.git
Vendor:       Brian Goff
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      MIT
Version:      %{V_base}
Release:      20241216

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/md2man/md2man-%{V_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    md2man(1) is a small utility to process the Markdown into the Unix
    manpage format.

%track
    prog md2man:base = {
        version   = %{V_base}
        url       = https://github.com/cpuguy83/go-md2man/releases
        regex     = tree/v(__VER__)
    }
    prog md2man:snap = {
        version   = %{V_snap}
        url       = http://download.openpkg.org/components/versioned/md2man/
        regex     = md2man-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n md2man

%build
    #   build program
    export GOPATH=`pwd`
    cd $GOPATH/src/github.com/cpuguy83/go-md2man
    go build -v -o md2man.exe md2man.go
    ./md2man.exe -out md2man.1 -in go-md2man.1.md

%install
    #   create directory hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1

    #   install program
    %{l_shtool} install -c -s -m 755 \
        src/github.com/cpuguy83/go-md2man/md2man.exe \
        $RPM_BUILD_ROOT%{l_prefix}/bin/md2man

    #   install manpage
    %{l_shtool} install -c -m 644 \
        src/github.com/cpuguy83/go-md2man/md2man.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

